From 28a61fb6e3c20d55a6fea4f741110e06c6c35429 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 9 Dec 2023 18:37:04 +0000
Subject: [PATCH 51/54] feat: stack switcher in headerbar for plain gtk version

---
 lact-gui/src/app/mod.rs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lact-gui/src/app/mod.rs b/lact-gui/src/app/mod.rs
index 7c6f3427..882d8744 100644
--- a/lact-gui/src/app/mod.rs
+++ b/lact-gui/src/app/mod.rs
@@ -119,14 +119,14 @@ impl App {
             let root_view = Box::builder().orientation(Orientation::Vertical).build();
             root_view.append(&root_stack.container);
             root_view.append(&Separator::new(Orientation::Horizontal));
-            root_view.append(
+            headerbar.container.set_title_widget(Some(
                 &StackSwitcher::builder()
                     .stack(&root_stack.container)
                     .halign(Align::Center)
                     .vexpand(false)
                     .hexpand(true)
                     .build(),
-            );
+            ));
             window.set_titlebar(Some(&headerbar.container));
             window.set_child(Some(&root_view));
         }

